Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
b2FrictionJoint Class Reference

`#include <b2FrictionJoint.h>`

Inheritance diagram for b2FrictionJoint:

## Public Member Functions
b2Vec2 | GetAnchorA () const
| Get the anchor point on bodyA in world coordinates. More...
b2Vec2 | GetAnchorB () const
| Get the anchor point on bodyB in world coordinates. More...
b2Vec2 | GetReactionForce (float32 inv_dt) const
| Get the reaction force on bodyB at the joint anchor in Newtons. More...
float32 | GetReactionTorque (float32 inv_dt) const
| Get the reaction torque on bodyB in N*m. More...
const b2Vec2 & | GetLocalAnchorA () const
| The local anchor point relative to bodyA's origin. More...
const b2Vec2 & | GetLocalAnchorB () const
| The local anchor point relative to bodyB's origin. More...
void | SetMaxForce (float32 force)
| Set the maximum friction force in N. More...
float32 | GetMaxForce () const
| Get the maximum friction force in N. More...
void | SetMaxTorque (float32 torque)
| Set the maximum friction torque in N*m. More...
float32 | GetMaxTorque () const
| Get the maximum friction torque in N*m. More...
void | Dump ()
| Dump joint to dmLog. More...
Public Member Functions inherited from b2Joint
b2JointType | GetType () const
| Get the type of the concrete joint. More...
b2Body * | GetBodyA ()
| Get the first body attached to this joint. More...
b2Body * | GetBodyB ()
| Get the second body attached to this joint. More...
b2Joint * | GetNext ()
| Get the next joint the world joint list. More...
const b2Joint * | GetNext () const
void * | GetUserData () const
| Get the user data pointer. More...
void | SetUserData (void *data)
| Set the user data pointer. More...
bool | IsActive () const
| Short-cut function to determine if either body is inactive. More...
bool | GetCollideConnected () const
virtual void | ShiftOrigin (const b2Vec2 &newOrigin)
| Shift the origin for any points stored in world coordinates. More...

## Protected Member Functions
| b2FrictionJoint (const b2FrictionJointDef *def)
void | InitVelocityConstraints (const b2SolverData &data)
void | SolveVelocityConstraints (const b2SolverData &data)
bool | SolvePositionConstraints (const b2SolverData &data)
Protected Member Functions inherited from b2Joint
| b2Joint (const b2JointDef *def)
virtual | ~b2Joint ()

## Protected Attributes
b2Vec2 | m_localAnchorA
b2Vec2 | m_localAnchorB
b2Vec2 | m_linearImpulse
float32 | m_angularImpulse
float32 | m_maxForce
float32 | m_maxTorque
int32 | m_indexA
int32 | m_indexB
b2Vec2 | m_rA
b2Vec2 | m_rB
b2Vec2 | m_localCenterA
b2Vec2 | m_localCenterB
float32 | m_invMassA
float32 | m_invMassB
float32 | m_invIA
float32 | m_invIB
b2Mat22 | m_linearMass
float32 | m_angularMass
Protected Attributes inherited from b2Joint
b2JointType | m_type
b2Joint * | m_prev
b2Joint * | m_next
b2JointEdge | m_edgeA
b2JointEdge | m_edgeB
b2Body * | m_bodyA
b2Body * | m_bodyB
int32 | m_index
bool | m_islandFlag
bool | m_collideConnected
void * | m_userData

## Friends
class | b2Joint

## Additional Inherited Members
Static Protected Member Functions inherited from b2Joint
static b2Joint * | Create (const b2JointDef *def, b2BlockAllocator *allocator)
static void | Destroy (b2Joint *joint, b2BlockAllocator *allocator)

## Detailed Description

Friction joint. This is used for top-down friction. It provides 2D translational friction and angular friction.

## Constructor & Destructor Documentation

b2FrictionJoint | ( | const b2FrictionJointDef * | def | ) |
| protected

## Member Function Documentation

void Dump | ( |  | ) |
| virtual

Dump joint to dmLog.

Reimplemented from b2Joint.

b2Vec2 GetAnchorA | ( |  | ) | const
| virtual

Get the anchor point on bodyA in world coordinates.

Implements b2Joint.

b2Vec2 GetAnchorB | ( |  | ) | const
| virtual

Get the anchor point on bodyB in world coordinates.

Implements b2Joint.

const b2Vec2& GetLocalAnchorA | ( |  | ) | const
| inline

The local anchor point relative to bodyA's origin.

const b2Vec2& GetLocalAnchorB | ( |  | ) | const
| inline

The local anchor point relative to bodyB's origin.

float32 GetMaxForce | ( |  | ) | const

Get the maximum friction force in N.

float32 GetMaxTorque | ( |  | ) | const

Get the maximum friction torque in N*m.

b2Vec2 GetReactionForce | ( | float32 | inv_dt | ) | const
| virtual

Get the reaction force on bodyB at the joint anchor in Newtons.

Implements b2Joint.

float32 GetReactionTorque | ( | float32 | inv_dt | ) | const
| virtual

Get the reaction torque on bodyB in N*m.

Implements b2Joint.

void InitVelocityConstraints | ( | const b2SolverData & | data | ) |
| protected virtual

Implements b2Joint.

void SetMaxForce | ( | float32 | force | ) |

Set the maximum friction force in N.

void SetMaxTorque | ( | float32 | torque | ) |

Set the maximum friction torque in N*m.

bool SolvePositionConstraints | ( | const b2SolverData & | data | ) |
| protected virtual

Implements b2Joint.

void SolveVelocityConstraints | ( | const b2SolverData & | data | ) |
| protected virtual

Implements b2Joint.

## Friends And Related Function Documentation

friend class b2Joint
| friend

## Member Data Documentation

float32 m_angularImpulse
| protected

float32 m_angularMass
| protected

int32 m_indexA
| protected

int32 m_indexB
| protected

float32 m_invIA
| protected

float32 m_invIB
| protected

float32 m_invMassA
| protected

float32 m_invMassB
| protected

b2Vec2 m_linearImpulse
| protected

b2Mat22 m_linearMass
| protected

b2Vec2 m_localAnchorA
| protected

b2Vec2 m_localAnchorB
| protected

b2Vec2 m_localCenterA
| protected

b2Vec2 m_localCenterB
| protected

float32 m_maxForce
| protected

float32 m_maxTorque
| protected

b2Vec2 m_rA
| protected

b2Vec2 m_rB
| protected

The documentation for this class was generated from the following files:

- Box2D/Dynamics/Joints/b2FrictionJoint.h
- Box2D/Dynamics/Joints/b2FrictionJoint.cpp